Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025165
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2013-11-15 13:062013-11-19 19:07
ReporterngarciaView Statuspublic 
Assigned Tojonalegriaesarte 
PriorityurgentResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revisionff0daa2fefed
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025165: GL Journal with a line set as Open Items could not be processed if a language code does not match with the java country setting

DescriptionGL Journal with a line set as Open Items could not be processed if a language code does not match with the java country setting
Steps To ReproduceHaving the java user.country set with a country code different from the ones defined in the Language window
As group admin role:
   Create a GL Journal batch and header for F&B US Inc.
   Add a two lines to it with at least one defined as Open Items
   Process it
   The following message appears in the log:
      No language found for code...
   
Proposed SolutionIn FIN_AddPaymentFromJournal.java set the context language to vars before the following line:

ProcessBundle pb = new ProcessBundle("DE1B382FDD2540199D223586F6E216D0", vars)
                .init(conn);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062208)
hgbot (developer)
2013-11-18 13:12

Repository: erp/devel/pi
Changeset: ff0daa2fefed71b801422c564b001b667ea224fe
Author: Jon Alegría <jon.alegria <at> openbravo.com>
Date: Mon Nov 18 13:12:07 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ff0daa2fefed71b801422c564b001b667ea224fe [^]

Fixes issue 0025165: GL Journal with a line set as Open Items
could not be processed if a language code does not match with
the java country setting

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPaymentFromJournal.java
---
(0062225)
ngarcia (developer)
2013-11-19 12:22

verified
(0062265)
hudsonbot (developer)
2013-11-19 19:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ab71e0273dc1 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-15 13:06 ngarcia New Issue
2013-11-15 13:06 ngarcia Assigned To => jonalegriaesarte
2013-11-15 13:06 ngarcia Modules => Core
2013-11-15 13:06 ngarcia Triggers an Emergency Pack => No
2013-11-15 13:08 ngarcia Issue Monitored: networkb
2013-11-18 13:12 hgbot Checkin
2013-11-18 13:12 hgbot Note Added: 0062208
2013-11-18 13:12 hgbot Status new => resolved
2013-11-18 13:12 hgbot Resolution open => fixed
2013-11-18 13:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ff0daa2fefed71b801422c564b001b667ea224fe [^]
2013-11-19 12:22 ngarcia Review Assigned To => ngarcia
2013-11-19 12:22 ngarcia Note Added: 0062225
2013-11-19 12:22 ngarcia Status resolved => closed
2013-11-19 12:22 ngarcia Fixed in Version => 3.0MP30
2013-11-19 19:07 hudsonbot Checkin
2013-11-19 19:07 hudsonbot Note Added: 0062265


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker